Subject: bug#53225: shepherd freezes if wireguard is started with dns config enabled

From: Ludovic Courtès <[email-masked]>
Date: Mon, 13 Jun 2022 11:31:18 +0200

Hi,

The /var/log/messages excerpt you sent me has nothing beyond:

> Jun 11 11:43:33 localhost shepherd[1]: Service networking has been started.

[…]

> Jun 11 11:43:33 localhost vmunix: [    5.552395] wireguard: WireGuard
> 1.0.0 loaded. See www.wireguard.com for information.
> Jun 11 11:43:33 localhost vmunix: [    5.552398] wireguard: Copyright
> (C) 2015-2019 Jason A. Donenfeld <[email-masked]>. All Rights
> Reserved.
> Jun 11 11:43:33 localhost shepherd[1]: Failed to start wireguard-test
> in the background.

That there’s not a single error message from wireguard doesn’t help.

Mathieu, Guillaume: any idea what might prevent the wireguard Shepherd
service from starting, or how we could gather debugging info?

(Context: <https://issues.guix.gnu.org/53225>.)

Ludo’.